aboutsummaryrefslogtreecommitdiffhomepage
path: root/examples/data/scripts/history.sh
diff options
context:
space:
mode:
authorGravatar Brendan Taylor <whateley@gmail.com>2010-11-21 23:12:48 -0700
committerGravatar Brendan Taylor <whateley@gmail.com>2010-11-21 23:12:48 -0700
commitbb1153c9bc776d0c0dde44bcc055d40c7617a998 (patch)
treebc81643049c46e619c12d7b082a128d0a65da8a8 /examples/data/scripts/history.sh
parent400b23552e7a4e8f1219c677dc491f35e22d335a (diff)
write new history and bookmark files if they don't already exist
Diffstat (limited to 'examples/data/scripts/history.sh')
-rwxr-xr-xexamples/data/scripts/history.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/examples/data/scripts/history.sh b/examples/data/scripts/history.sh
index b91d415..0cd2218 100755
--- a/examples/data/scripts/history.sh
+++ b/examples/data/scripts/history.sh
@@ -2,6 +2,6 @@
source $UZBL_UTIL_DIR/uzbl-dir.sh
-[ -w "$UZBL_HISTORY_FILE" ] || exit 1
+[ -w "$UZBL_HISTORY_FILE" ] || [ ! -a "$UZBL_HISTORY_FILE" ] || exit 1
echo $(date +'%Y-%m-%d %H:%M:%S')" $6 $7" >> $UZBL_HISTORY_FILE